Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155111 - Login screen displaced after logout from session with non default resolution
Summary: Login screen displaced after logout from session with non default resolution
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 3
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-16 14:06 UTC by Raul Suarez
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-11-04 14:06:28 UTC


Attachments (Terms of Use)

Description Raul Suarez 2005-04-16 14:06:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686) Opera 7.54  [en]

Description of problem:
After loging out from a session, the login screen (greeter screen) gets 
displaced as I move the mouse around. After moving the mouse to all corners the 
screen centers again and it does not displaced anymore.

This happens consistently regardless of using KDE or GNOME sessions and 
regardless of having a graphical or standard greeter.

I haven't tried all the variations so I will only refer to my settings to 
simplify the explanation.

Version-Release number of selected component (if applicable):
gdm-2.6.0.5-6 

How reproducible:
Always

Steps to Reproduce:
1. Set the global display settings to resolution 1600 x1200 millions of colors
2. On a KDE session: Configure the desktop with the following display settings: 
Screen size 1280x1024, Refresh rate 86 Hz
3. Login to the session.
4. Logout from the session
5. Move the mouse around
  

Actual Results:  The login screen (greeter screen) gets displaced as I move the mouse around. 
After moving the mouse to all corners the screen centers again and it does not 
displaced anymore.

Expected Results:  The login screen shouldn't have displaced.

Additional info:

When configuring the desktop, if I select a Screen size of 1600x1200 the refresh 
rate is set to 76 Hz. for a Screen size of 1280x1024 the refresh rate is set to 
86 Hz.

Here is my monitor and video driver info from xorg.conf:
===== 
Section "Monitor"
	Identifier   "Monitor0"
	VendorName   "Monitor Vendor"
	ModelName    "SyncMaster"
	DisplaySize  350	260
	HorizSync    30.0 - 96.0
	VertRefresh  50.0 - 160.0
	Option	    "dpms"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "i810"
	VendorName  "Videocard vendor"
	BoardName   "Intel 845"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "Monitor0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     16
		Modes    "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     24
		Modes    "1600x1200" "1400x1050" "1280x1024" "1280x960" "1152x864" "1024x768" 
"800x600" "640x480"
	EndSubSection
EndSection
=========

Here is my screen gconf.xml:

<gconf>
<entry name="rate" mtime="1113657764" type="int" value="86"></entry>
<entry name="resolution" mtime="1113657764" type="string">
<stringvalue>1280x1024</stringvalue>
</entry>
</gconf>

Comment 1 Matthew Miller 2006-07-10 20:30:09 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Raul Suarez 2006-11-04 14:06:28 UTC
I tested in FC6 final release and the behaviour has been fixed.


Note You need to log in before you can comment on or make changes to this bug.